<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
LongGetFirstPosition Method (IEdmDictionary5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmDictionary5 Interface : LongGetFirstPosition Method (IEdmDictionary5)

Visual Basic
C#
C++/CLI
Starts an enumeration of all of the key-value pairs that have integer keys.

# Syntax

Visual Basic |
--- | ---

    Function LongGetFirstPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 LongGetFirstPosition()

C++/CLI |
--- | ---

    IEdmPos5^ LongGetFirstPosition();

#### Return Value

IEdmPos5; position of the first key-value pair

# Example

Get and Set Dictionary Key-Value Pairs (VB.NET)
Get and Set Dictionary Key-Value Pairs (C#)

# Remarks

After calling this method, pass the position of the first key-value pair to IEdmDictionary5::LongGetNextAssoc to get the first key-value pair in the search result. Then call IEdmDictionary5::LongGetNextAssoc repeatedly to get the rest of the key-value pairs in the search result.

C++ programmers not using smart-pointer wrapper functions must release the returned pointer to IEdmPos5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmDictionary5 Interface
IEdmDictionary5 Members
IEdmDictionary5::StringGetFirstPosition Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2